# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | Private Member Functions | Private Attributes | List of all members
dirac::IntraBlockDiff Class Reference

A class for calculating the difference between a block and its DC value (average)

`#include <me_utils.h>`

## Public Member Functions
| IntraBlockDiff (const PicArray &pic)
| Constructor, initialising the picture data. More...
float | Diff (const BlockDiffParams &dparams, ValueType &dc_val)
| Do the difference, calculating the DC value and returning SAD. More...
ValueType | CalcDC (const BlockDiffParams &dparams)
| Calculate a DC value. More...

## Private Member Functions
| IntraBlockDiff (const IntraBlockDiff &cpy)
| Private, bodyless copy-constructor: class should not be copied. More...
IntraBlockDiff & | operator= (const IntraBlockDiff &rhs)
| Private, bodyless assignment=: class should not be assigned. More...

## Private Attributes
const PicArray & | m_pic_data

## Constructor & Destructor Documentation

dirac::IntraBlockDiff::IntraBlockDiff | ( | const PicArray & | pic | ) |

dirac::IntraBlockDiff::IntraBlockDiff | ( | const IntraBlockDiff & | cpy | ) |
| private

## Member Function Documentation

ValueType dirac::IntraBlockDiff::CalcDC | ( | const BlockDiffParams & | dparams | ) |

float dirac::IntraBlockDiff::Diff | ( | const BlockDiffParams & | dparams,
|  | ValueType & | dc_val
| ) |  |

Do the difference, calculating the DC value and returning SAD

Parameters

  dparams | block parameters
  dc_val | DC value

IntraBlockDiff& dirac::IntraBlockDiff::operator= | ( | const IntraBlockDiff & | rhs | ) |
| private

## Member Data Documentation

const PicArray& dirac::IntraBlockDiff::m_pic_data
| private

The documentation for this class was generated from the following file:

- me_utils.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.